﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="TabStripAndGrid.aspx.cs"
    Inherits="TabStripAndGrid" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager id="ScriptManager1" runat="server"></asp:ScriptManager>
    
    <telerik:RadTabStrip ID="RadTabStrip1" runat="server" Skin="Outlook" SelectedIndex="0"
        MultiPageID="RadMultiPage1">
        <Tabs>
            <telerik:RadTab Text="Corporate" SelectedIndex="0" PostBack="true">
                <Tabs>
                <telerik:RadTab Text="News" PageViewID="RadPageView2">
                            </telerik:RadTab>
                            <telerik:RadTab Text="Team" PageViewID="RadPageView1">
                            </telerik:RadTab>
                    <telerik:RadTab Text="Careers" PageViewID="RadPageView3">
                    </telerik:RadTab>
                </Tabs>
            </telerik:RadTab>
        </Tabs>
    </telerik:RadTabStrip>
    <telerik:RadMultiPage ID="RadMultiPage1" runat="server">
        <telerik:RadPageView ID="RadPageView1" runat="server">
            <telerik:RadGrid ID="rgTestWithDifferentBindWay" runat="server" AutoGenerateColumns="False"
                Width="100%" ShowStatusBar="True" PageSize="7" AllowPaging="True" OnNeedDataSource="rgTestWithDifferentBindWay_NeedDataSource"
                OnPreRender="rgTestWithDifferentBindWay_PreRender" OnDetailTableDataBind="rgTestWithDifferentBindWay_DetailTableDataBind"
                OnInsertCommand="rgTestWithDifferentBindWay_InsertCommand"
                GridLines="None" ShowGroupPanel="True" OnUpdateCommand="rgTestWithDifferentBindWay_UpdateCommand">
                <PagerStyle Mode="NextPrevNumericAndAdvanced" />
                <MasterTableView CommandItemDisplay="Top" DataKeyNames="CustomerID" TableLayout="Auto"
                    Name="Customers">
                    <Columns>
                        <telerik:GridEditCommandColumn UniqueName="EditColumn">
                        </telerik:GridEditCommandColumn>
                        <telerik:GridBoundColumn SortExpression="CustomerID" HeaderText="CustomerID" HeaderButtonType="TextButton"
                            DataField="CustomerID">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn SortExpression="ContactName" HeaderText="Contact Name" HeaderButtonType="TextButton"
                            DataField="ContactName" MaxLength="6">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn SortExpression="CompanyName" HeaderText="Company" HeaderButtonType="TextButton"
                            DataField="CompanyName">
                        </telerik:GridBoundColumn>
                    </Columns>
                    <DetailTables>
                        <telerik:GridTableView DataKeyNames="OrderID" CommandItemDisplay="TopAndBottom" DataMember="Orders"
                            HierarchyLoadMode="ServerOnDemand" AutoGenerateColumns="false" Name="Orders">
                            <Columns>
                                <telerik:GridEditCommandColumn UniqueName="EditDetailColumn">
                                </telerik:GridEditCommandColumn>
                                <telerik:GridBoundColumn SortExpression="OrderID" HeaderText="OrderID" HeaderButtonType="TextButton"
                                    DataField="OrderID">
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn SortExpression="OrderDate" HeaderText="Date Ordered" HeaderButtonType="TextButton"
                                    DataField="OrderDate" UniqueName="OrderDate" DataFormatString="{0:d}">
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn SortExpression="Freight" HeaderText="Freight" HeaderButtonType="TextButton"
                                    DataField="Freight" UniqueName="Freight" MaxLength="5">
                                </telerik:GridBoundColumn>
                            </Columns>
                            <%-- <EditFormSettings UserControlName="OrderListForAddingUC.ascx" EditFormType="WebUserControl"><%-- EditFormType="Template">--%>
                            <%--                                <FormTemplate>
                                    <asp:Label ID="lblDetail" runat="server">Freight: </asp:Label>
                                    <asp:TextBox ID="txtDetail" runat="server" Text='<%# Bind("Freight") %>'></asp:TextBox>
                                </FormTemplate>
                            </EditFormSettings>--%>
                        </telerik:GridTableView>
                    </DetailTables>
                </MasterTableView>
                <ClientSettings AllowDragToGroup="True">
                </ClientSettings>
            </telerik:RadGrid>
        </telerik:RadPageView>
        <telerik:RadPageView ID="RadPageView2" runat="server" Selected="true">
            <h1>No information!</h1>
        </telerik:RadPageView>
        <telerik:RadPageView ID="RadPageView3" runat="server">
            <h1>No information!</h1>
        </telerik:RadPageView>
    </telerik:RadMultiPage>
    </form>
</body>
</html>
