﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Collections;

public partial class TabStripAndGrid : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void rgTestWithDifferentBindWay_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        if (!e.IsFromDetailTable)
        {
            using (NWDataContext dataContext = new NWDataContext())
            {
                rgTestWithDifferentBindWay.DataSource = dataContext.Customers.ToList();
            }
        }
    }

    protected void rgTestWithDifferentBindWay_PreRender(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            //this.rgTestWithDifferentBindWay.MasterTableView.Items[1].Edit = true;
            //this.rgTestWithDifferentBindWay.MasterTableView.Rebind();
        }
    }
    protected void rgTestWithDifferentBindWay_InsertCommand(object source, GridCommandEventArgs e)
    {
        using (NWDataContext dataContext = new NWDataContext())
        {
            //TODO insert here newly added grid row into your data source
        }
        if (e.Item.OwnerTableView.Name == "Orders")
        {
            //TODO insert here newly added grid row into your data source
        }
    }

    protected void rgTestWithDifferentBindWay_UpdateCommand(object source, GridCommandEventArgs e)
    {
        using (NWDataContext dataContext = new NWDataContext())
        {
            //TODO insert here newly added grid row into your data source
            Hashtable newValues = new Hashtable();
            e.Item.OwnerTableView.ExtractValuesFromItem(newValues, editedItem);

            var customer = dataContext.Customers.Single(c => c.CustomerID == Convert.ToString(newValues["CustomerID"]));
            if (customer != null) 
            {
                customer.ContactName = (string)newValues["ContactName"];
                customer.CompanyName = (string)newValues["CompanyName"];
            }
            dataContext.SubmitChanges();
        }
        if (e.Item.OwnerTableView.Name == "Orders")
        {
            //TODO insert here newly added grid row into your data source
        }
    }

    protected void rgTestWithDifferentBindWay_DetailTableDataBind(object source, GridDetailTableDataBindEventArgs e)
    {
        GridDataItem parentItem = e.DetailTableView.ParentItem as GridDataItem;
        if (parentItem.Edit)
        {
            return;
        }

        CustomerID = parentItem["CustomerID"].Text;

        if (e.DetailTableView.DataMember == "Orders")
        {
            using (NWDataContext dataContext = new NWDataContext())
            {
                e.DetailTableView.DataSource = (from o in dataContext.Orders
                                                where o.CustomerID == parentItem["CustomerID"].Text
                                                select o).ToList();
            }
        }
    }
}
